﻿namespace Discord.Managers
{
    public class Manager<K, V> where K : IEquatable<K>
    {
        public Dictionary<K, V> Cache;
        public Client Client;

        public Manager(Client client) {
            this.Client = client;
            Cache = new Dictionary<K, V>();
        }
    }
}
