﻿namespace Discord
{
    public class Message : Base
    {
        public required string Id {  get; set; }
        public required string ChannelId { get; set; }
        public Channel Channel { get { return Client!.Channels.Get(ChannelId).Result!; } }
        public required User Author { get; set; }
        public required string Content { get; set; }
        public required bool Tts { get; set; }
        public required bool MentionEveryone { get; set; }
        public required List<User> Mentions { get; set; }

        public override string ToString()
        {
            return JSON.Serialize(this);
        }
    }
}
